### Struct

# Template Scope

#### Description

    struct TmplScope {
      /* No available fields */
    }

No description available.

#### Constructors

###### tmpl_scope_new

Creates a new scope to contain variables and custom expressions,.

#### Instance methods

###### tmpl_scope_dup_string

Gets a string if the symbol `name` is a string.

since: 3.36

###### tmpl_scope_get

If the symbol could not be found, it will be allocated.

###### tmpl_scope_list_symbols

Gets the names of all symbols within the scope.

###### tmpl_scope_new_with_parent

Creates a new scope to contain variables and custom expressions, If `parent` is set, the parent scope will be inherited.

###### tmpl_scope_peek

If the symbol could not be found, `NULL` is returned.

###### tmpl_scope_ref

No description available.

###### tmpl_scope_require

Imports `namespace_` into `self` so it can be used by expressions.

###### tmpl_scope_set

If the symbol already exists, it will be overwritten.

###### tmpl_scope_set_boolean

Sets the value of the symbol named `name` to a gboolean value of `value`.

###### tmpl_scope_set_double

Sets the value of the symbol named `name` to a gdouble value of `value`.

###### tmpl_scope_set_null

No description available.

###### tmpl_scope_set_object

Sets the value of the symbol named `name` to the object `value`.

###### tmpl_scope_set_resolver

No description available.

###### tmpl_scope_set_string

Sets the value of the symbol named `name` to a string matching `value`.

###### tmpl_scope_set_strv

Sets the value of the symbol named `name` to the strv `value`.

###### tmpl_scope_set_value

Sets the contents of the symbol named `name` to the value `value`.

###### tmpl_scope_set_variant

Sets the value of the symbol named `name` to the variant `value`.

###### tmpl_scope_take

Sets the symbol named `name` to `symbol` in `scope`.

###### tmpl_scope_unref

No description available.